**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/22.1/documents/retrieve-documents/download-document-version-file.md

# Download Document Version File



Download the file of a specific document version.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/file" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/3/file > file

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
Content-Type: application/octet-stream;charset=UTF-8
Content-Disposition: attachment;filename="CholeCap-Presentation.pptx"

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault retrieves the specified version of the source file from the document. The HTTP Response Header `Content-Type` is set to `application/octet-stream`. The HTTP Response Header `Content-Disposition` contains a filename component which can be used when naming the local file.



---

**Previous:** [Download Document File](/vault-api/api-reference/22.1/documents/retrieve-documents/download-document-file)  
**Next:** [Download Document Version Thumbnail File](/vault-api/api-reference/22.1/documents/retrieve-documents/download-document-version-thumbnail-file)